- libbson 1.13.1 »
- API Reference »
- bson_t

# bson_get_data()

## Synopsis

    const uint8_t *
    bson_get_data (const bson_t *bson);

## Parameters

- `bson`: A bson_t.

## Description

The bson_get_data() function shall return the raw buffer of a bson document. This can be used in conjunction with the `len` property of a bson_t if you want to copy the raw buffer around.

## Returns

A buffer which should not be modified or freed.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.